# Uses of Class
it.tdlight.jni.TdApi.ChatPosition

## Uses of TdApi.ChatPosition in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatPosition
Modifier and Type
Field
Description
`TdApi.ChatPosition`
TdApi.UpdateChatPosition.`position`
New chat position.
`TdApi.ChatPosition[]`
TdApi.Chat.`positions`
Positions of the chat in chat lists.
`TdApi.ChatPosition[]`
TdApi.UpdateChatDraftMessage.`positions`
The new chat positions in the chat lists.
`TdApi.ChatPosition[]`
TdApi.UpdateChatLastMessage.`positions`
The new chat positions in the chat lists.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatPosition
Modifier
Constructor
Description
``
`Chat(long id, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, TdApi.ChatPermissions permissions, TdApi.Message lastMessage, TdApi.ChatPosition[] positions, boolean isMarkedAsUnread, boolean isBlocked, boolean hasScheduledMessages, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canBeReported, boolean defaultDisableNotification, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, TdApi.ChatNotificationSettings notificationSettings, int messageTtlSetting, String themeName, TdApi.ChatActionBar actionBar, TdApi.VideoChat videoChat, TdApi.ChatJoinRequestsInfo pendingJoinRequests, long replyMarkupMessageId, TdApi.DraftMessage draftMessage, String clientData)`
A chat.
``
`UpdateChatDraftMessage(long chatId, TdApi.DraftMessage draftMessage, TdApi.ChatPosition[] positions)`
A chat draft has changed.
``
`UpdateChatLastMessage(long chatId, TdApi.Message lastMessage, TdApi.ChatPosition[] positions)`
The last message of a chat was changed.
``
`UpdateChatPosition(long chatId, TdApi.ChatPosition position)`
The position of a chat in a chat list has changed.